---

- name: "Wait for the `{{ volume['path'] }}` volume to be created for `{{ server['name'] }}`."
  async_status:
    jid: "{{ volumes_sleeper[volume_name]['ansible_job_id'] }}"
  retries: 50
  register: job_result
  until: job_result.finished
  when: volumes_sleeper[volume_name]['ansible_job_id'] is defined

- name: "Attach `{{ volume['path'] }}` volume to `{{ server['name'] }}`."
  os_server_volume:
    state: present
    server: "{{ server['name'] }}"
    volume: "{{ server['name'] }}-{{ volume['path'] }}"
    device: "{{ volume['device'] }}"

- name: "Format `{{ volume['path'] }}` filesystem on `{{ server['name'] }}`."
  become: true
  delegate_to: "{{ server['name'] }}"
  filesystem:
    fstype: "{{ volume['fstype'] | default('ext4') }}"
    device: "{{ volume['device'] }}"

- name: "Mount `{{ volume['path'] }}` volume to `{{ server['name'] }}`."
  become: true
  delegate_to: "{{ server['name'] }}"
  mount:
    path: "{{ volume['path'] }}"
    src: "{{ volume['device'] }}"
    opts: "{{ volume['opts'] | default(omit) }}"
    fstype: "{{ volume['fstype'] | default('ext4') }}"
    state: mounted
